%author Veronica Martinez, The University of Queensland, AIBN
%25-Sept-2013

% B-spline blending function of order 3
function N=Nblendfxn(tj,to)
total=length(to);
N=zeros(1,total-3);
for i=1:total-3
    if tj>=to(i) && tj<to(i+1) 
        N(i)=((tj-to(i))^2)/((to(i+2)-to(i))*(to(i+1)-to(i)));
    elseif  tj>=to(i+1) && tj<to(i+2)
        N(i)=(((tj-to(i))*(to(i+2)-tj))/((to(i+2)-to(i))*(to(i+2)-to(i+1))))+(((to(i+3)-tj)*(tj-to(i+1)))/((to(i+3)-to(i+1))*(to(i+2)-to(i+1))));
    elseif tj>=to(i+2) && tj<=to(i+3) && to(i+2)-to(i+3)~=0
        N(i)=((to(i+3)-tj)^2)/((to(i+3)-to(i+1))*(to(i+3)-to(i+2)));
    end
end
        
       